Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class DirectoryGroupIndexService

    java.lang.Object
      oracle.ifs.server.DirectoryGroupIndexService

All Implemented Interfaces:
  SubService

    public class DirectoryGroupIndexService

extends java.lang.Object
implements SubService

A DirectoryGroupIndexService manages the iFS ACL index, and updates it transactionally to reflect changes in the authorization model.

(Unpublished)

Field Summary
`protected AccessControlListIndexService` | `m_AclIndexService` The AccessControlListIndexService that encloses this instance
`protected S_LibraryService` | `m_Service` The parent library service
`static java.lang.String` | `MAP_TABLE_NAME` The name of the group index table.
`static java.lang.String` | `PARAM_TABLE_NAME` The name of the group index parameter table.
`protected static int` | `PARAMETER_KEY_LOCKENTRY` The parameter key used to provide a resource-level lock for this index.
`protected static java.lang.String` | `STATEMENT_CYCLE_CHECK`
`protected static java.lang.String` | `STATEMENT_DELETE_ALL_BY_LEFT`
`protected static java.lang.String` | `STATEMENT_DELETE_MAP_ROW`
`protected static java.lang.String` | `STATEMENT_INSERT_MAP_ROW`
`protected static java.lang.String` | `STATEMENT_INSERT_MAP_ROWS`
`protected static java.lang.String` | `STATEMENT_LOCK_PARAMETER`
`protected static java.lang.String` | `STATEMENT_SELECT_MAP_ROWS_FOR_DELETE`
`protected static java.lang.String` | `STATEMENT_SELECT_PARAMETER`
`protected static java.lang.String` | `STATEMENT_UPDATE_SELF_ROW`

Constructor Summary
`protected` | `DirectoryGroupIndexService(S_LibraryService service, AccessControlListIndexService aclIndexServ)` Construct a DirectoryGroupIndexService.

Method Summary
`protected void` | `addToGroupNow(S_LibrarySession sess, long parentid, long childid)`
`protected void` | `breakCycle(S_LibrarySession sess, java.lang.Long leftId, java.lang.Long rightId)`
`void` | `dispose()` Terminate this subservice.
`protected void` | `registerNewDirectoryObjectNow(S_LibrarySession sess, long id)`
`protected void` | `removeFromGroupNow(S_LibrarySession sess, long parentid, long childid)`
`protected void` | `unregisterFreedDirectoryObjectNow(S_LibrarySession sess, long id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAP_TABLE_NAME

    public static final java.lang.String MAP_TABLE_NAME

  Description copied from class: `DirectoryGroupIndexService`
  The name of the group index table.

  See Also:
    Constant Field Values
  (Unpublished)

### PARAM_TABLE_NAME

    public static final java.lang.String PARAM_TABLE_NAME

  Description copied from class: `DirectoryGroupIndexService`
  The name of the group index parameter table.

  See Also:
    Constant Field Values
  (Unpublished)

### PARAMETER_KEY_LOCKENTRY

    protected static final int PARAMETER_KEY_LOCKENTRY

  Description copied from class: `DirectoryGroupIndexService`
  The parameter key used to provide a resource-level lock for this index.

  See Also:
    Constant Field Values
  (Unpublished)

### STATEMENT_SELECT_MAP_ROWS_FOR_DELETE

    protected static final java.lang.String STATEMENT_SELECT_MAP_ROWS_FOR_DELETE

See Also:
  Constant Field Values

### STATEMENT_SELECT_PARAMETER

    protected static final java.lang.String STATEMENT_SELECT_PARAMETER

See Also:
  Constant Field Values

### STATEMENT_INSERT_MAP_ROW

    protected static final java.lang.String STATEMENT_INSERT_MAP_ROW

See Also:
  Constant Field Values

### STATEMENT_INSERT_MAP_ROWS

    protected static final java.lang.String STATEMENT_INSERT_MAP_ROWS

See Also:
  Constant Field Values

### STATEMENT_UPDATE_SELF_ROW

    protected static final java.lang.String STATEMENT_UPDATE_SELF_ROW

See Also:
  Constant Field Values

### STATEMENT_DELETE_MAP_ROW

    protected static final java.lang.String STATEMENT_DELETE_MAP_ROW

See Also:
  Constant Field Values

### STATEMENT_DELETE_ALL_BY_LEFT

    protected static final java.lang.String STATEMENT_DELETE_ALL_BY_LEFT

See Also:
  Constant Field Values

### STATEMENT_LOCK_PARAMETER

    protected static final java.lang.String STATEMENT_LOCK_PARAMETER

See Also:
  Constant Field Values

### STATEMENT_CYCLE_CHECK

    protected static final java.lang.String STATEMENT_CYCLE_CHECK

See Also:
  Constant Field Values

### m_Service

    protected S_LibraryService m_Service

  Description copied from class: `DirectoryGroupIndexService`
  The parent library service

  (Unpublished)

### m_AclIndexService

    protected AccessControlListIndexService m_AclIndexService

  Description copied from class: `DirectoryGroupIndexService`
  The AccessControlListIndexService that encloses this instance

  (Unpublished)

Constructor Detail

### DirectoryGroupIndexService

    protected DirectoryGroupIndexService(S_LibraryService service,
                                         AccessControlListIndexService aclIndexServ)
                                  throws IfsException

  Construct a DirectoryGroupIndexService.

  Parameters:
    `service` - the S_LibraryService that owns this instance
    `aclIndexServ` - the AccessControlListIndexService that controls this instance
  Throws:
    `IfsException` - if operation fails.

Method Detail

### dispose

    public void dispose()
                 throws IfsException

  Description copied from class: `DirectoryGroupIndexService`
  Terminate this subservice. This method is required by the SubService interface; it currently does nothing.

  Specified by:
    `dispose` in interface `SubService`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### registerNewDirectoryObjectNow

    protected void registerNewDirectoryObjectNow(S_LibrarySession sess,
                                                 long id)
                                          throws IfsException

  Throws:
    `IfsException`

### unregisterFreedDirectoryObjectNow

    protected void unregisterFreedDirectoryObjectNow(S_LibrarySession sess,
                                                     long id)
                                              throws IfsException

  Throws:
    `IfsException`

### addToGroupNow

    protected void addToGroupNow(S_LibrarySession sess,
                                 long parentid,
                                 long childid)
                          throws IfsException

  Throws:
    `IfsException`

### removeFromGroupNow

    protected void removeFromGroupNow(S_LibrarySession sess,
                                      long parentid,
                                      long childid)
                               throws IfsException

  Throws:
    `IfsException`

### breakCycle

    protected void breakCycle(S_LibrarySession sess,
                              java.lang.Long leftId,
                              java.lang.Long rightId)
                       throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD